global:
  scrape_interval: 15s
  evaluation_interval: 15s

rule_files:
  - "alerts.yml"

scrape_configs:
  - job_name: "hms"
    metrics_path: /metrics
    static_configs:
      - targets: ["app:9090"]
        labels:
          service: "hms-server"

  - job_name: "postgres"
    static_configs:
      - targets: ["postgres-exporter:9187"]
        labels:
          service: "postgresql"

  - job_name: "redis"
    static_configs:
      - targets: ["redis-exporter:9121"]
        labels:
          service: "redis"

  - job_name: "nginx"
    static_configs:
      - targets: ["nginx-exporter:9113"]
        labels:
          service: "nginx"
